# Header-only library.
%global debug_package %{nil}

Name:           cppzmq
Version:        4.4.1
Release:        1%{?dist}
Summary:        Header-only C++ binding for libzmq

License:        MIT
URL:            https://zeromq.org
Source0:        https://github.com/zeromq/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# https://github.com/zeromq/cppzmq/issues/283
Patch0001:      0001-Fix-broken-test-macro-condition.patch
# https://github.com/zeromq/cppzmq/pull/288
Patch0002:      0002-Use-external-Catch2.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libzmq)
BuildRequires:  cmake(Catch2)

%global _description \
cppzmq is a C++ binding for libzmq. \
\
cppzmq maps the libzmq C API to C++ concepts. In particular, it is type-safe, \
provides exception-based error handling, and provides RAII-style classes that \
automate resource management. cppzmq is a light-weight, header-only binding.

%description %{_description}


%package devel
Summary:        %{summary}
Provides:       %{name}-static = %{version}-%{release}

Requires:       pkgconfig(libzmq)

%description devel %{_description}


%prep
%autosetup -p1


%build
%cmake .
%make_build


%install
%make_install


%check
ctest -V


%files devel
%doc README.md
%license LICENSE
%{_includedir}/zmq*.hpp
%{_datadir}/cmake/%{name}


%changelog
* Mon Oct 28 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> 4.4.1-1
- First build on EPEL 8

